@tailwind base;
@tailwind components;
@tailwind utilities;

@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');

.course-table-head th {
    padding: 10px;
    border-radius: 8px 8px 0 0;
    border: 1px solid rgba(0, 0, 0, 0.05);
}

.course-table-head th:first-child{
    border-top-left-radius: 8px;
}

.course-table-head th:last-child{
    border-top-right-radius: 8px;
}


.progress {
    @apply relative flex w-full overflow-hidden rounded-full;
  }
  
  .progress .is-indeterminate {
    animation: progress-increase 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
  }
  
  .progress .is-active::before {
    @apply absolute inset-0 rounded bg-white content-[''];
    animation: progress-active 2s cubic-bezier(0.55, 0.2, 0.3, 0.67) infinite;
  }
  
  @keyframes progress-increase {
    from {
      left: -5%;
      width: 5%;
    }
    to {
      left: 125%;
      width: 100%;
    }
  }
  
  @keyframes progress-active {
    0% {
      opacity: 0.4;
      transform: translateX(-100%);
    }
    90% {
    }
    100% {
      opacity: 0;
      transform: translateX(0);
    }
  }
  .progress-ring__circle {
    transition: stroke-dashoffset 0.35s;
    transform: rotate(-90deg);
    transform-origin: 50% 50%;
  }